Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

At this site I have an error using the parent theme's jquery.PrettyPhoto.js This causes tabs not to load well nor gallery to work well it seems. The error states

TypeError: $.browser is undefined
http://www.domain.com/wp-content/themes/decondo/lib/scripts/pretty/jquery.prettyPhoto.js?ver=2.5
Line 59

I enqueued jQuery Migrate - v1.0.0 - 2013-01-14 with following code (whole function added): http://pastebin.com/EC3XrTiq

to the parent theme's function.php as I thought it would be related to an outdated jQuery function - see http://stackoverflow.com/questions/14524289/browser-is-undefined-error -.

I found another thread at SE that suggested adding the $.browser function mentioning this function was no longer used since 1.3. The version loaded on those pages is 1.8.3 so this could be the issue then. Odd I did not have the issue earlier, but anyways.

I realized that jQuery migrate was not being loaded checking these pages in Firebug. I is located here for sure though and would say the path is correct.

Thanks to to some more research and a check in safari using the inspector I did realise the jQuery migrate scripts is already loaded by WordPress.

Now the issue remains why the site's gallery (issues in Safari with layout), menu (dropdown broken in Firefox) and tabs (not loaded in Firefox) are not loading well and if the deprecated browser function is causing this or not.

share|improve this question
    
Wordpress itself enqueues jQuery Migrate you don't need to enqueue it –  sabarnix Jul 16 at 8:47
    
Update WordPress does load the jQuery Migrate script natively - found it in Safari using the inspector . Then I am still stuck solving this issue with prettyPhoto though. Not does it solve the breakdown of the gallery and tabs (in Firefox tabs are not loaded either). Nor could I find the Migrate script on the scripts list on this WP Doc page: codex.wordpress.org/Function_Reference/… –  rhand Jul 16 at 9:10
    
@sabarnix Yeah, thanks. Realized that. So no need for that. So what is causing the breakdown of the menu and tabs as well as gallery is still the issue. Do think those are javascript related, but even with debugging scripts turned on no other errors or warnings show up. –  rhand Jul 16 at 9:31
    
It seems superfish.js refuses to load in Firefox. It does load in Safari. This causes the dropdown issue. The tabs not showing well in FF is not clear yet. –  rhand Jul 16 at 9:48

2 Answers 2

up vote 1 down vote accepted

Something is messing up your queue. Your jQuery URL has 1.8.3 version, while that is neither default in WP 3.9.1 or actual file it points to (1.11.0). Migrate is not showing up for me either, likely because of issues there.

Effectively you are missing jQuery.browser because it was removed in version 1.9+ and migrate is not loaded.

share|improve this answer
    
Yeah, it should be 1.11.0 and that one is loaded in Safari, but not in Firefox. Well it says 1.8.3, but loads 1.11.0 it seems actually. And in FF superfish.js does not load either. Still trying to figure it out. In FF home is really broken now. –  rhand Jul 16 at 10:24
    
Well, it shouldn't say 1.8.3 for starters. You clearly have something interfering with core scripts there. –  Rarst Jul 16 at 10:31
    
Seems to be my heavily customized NGG plugin got overwritten. This caused mayor havoc on the site. Seems to be doing better now, but server is really slow responding atm. DH is probably throttling RAM atm. Will check all again a little later. –  rhand Jul 16 at 10:56
    
Even with plugin replaced by old one the issue is returning. I do not see a jQuery loaded anywhere that has the string 1.8.3 added, but FF shows it again even though 1.11.0 is behind it. jQuery is enqueued and latest WP loads 1.11.0. Will keep on looking. –  rhand Jul 16 at 12:59

I have checked your site jQuery migrate is not enqueued as the version of jquery enqueued is 1.8.3 and jquery migrate only works with jquery version above 1.9 Probably your version of wordpress in not the latest one . The version of preetyphoto is outdated too you can use the latest version https://github.com/scaron/prettyphoto/blob/master/js/jquery.prettyPhoto.js it do not use any $.browser.

share|improve this answer
    
Which version of wordpress are you using? –  sabarnix Jul 16 at 10:48
    
I am using WordPress 3.9.1 running deCondo child theme –  rhand Jul 16 at 13:01
    
It seems proper jQuery 1.11.0 is loaded when logged in and checking the frontend, jQuery migrate as well. But once logged off that is no longer the case. No jQuery Migrate loaded and jQuery 1.8.3 as attached version string although 1.11.0 is behind it. I know because I checked in Firebug under Net tab. Response shows 1.11.0. –  rhand Jul 16 at 13:15
1  
The site seems to be working fine now even if I am not logged in. –  sabarnix Jul 16 at 13:25
    
Also this page goo.gl/Gju6Oy ? After I logged of and checked I did not see data in tabs nor a full dropdown menu –  rhand Jul 16 at 14:08

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.